package com.prolog.cs.biz.inbound.service.task;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.task.TaskPendingDetailDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description  
 * @Date 2021-03-24 
 */

public interface TaskPendingDetailService {

	/**
 	* @Description   
 	* @Date 2021-03-24 
 	* add TaskPendingDetailDTO 
 	*/
	public Object add(TaskPendingDetailDTO taskPendingDetailDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* edit TaskPendingDetailDTO 
 	*/
	public Object edit(String pkId,TaskPendingDetailDTO taskPendingDetailDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete TaskPendingDetailDTO 
 	*/
	public Object deletePkId(String pkId);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete TaskPendingDetailDTO 
 	*/
	public Object delIds(List<String> pkIdList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* page condition search TaskPendingDetailDTO 
 	*/
	public Page<TaskPendingDetailDTO> findList(TaskPendingDetailDTO taskPendingDetailDTO,PageParam pageParam);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchAdd TaskPendingDetailDTO 
 	*/
	public Object batchAdd(List<TaskPendingDetailDTO> taskPendingDetailDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchEdit TaskPendingDetailDTO 
 	*/
	public Object batchEdit(List<TaskPendingDetailDTO> taskPendingDetailDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* condition search all TaskPendingDetailDTO 
 	*/
	public List<TaskPendingDetailDTO> findAll(TaskPendingDetailDTO taskPendingDetailDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* findOne TaskPendingDetailDTO 
 	*/
	public TaskPendingDetailDTO findByPkId(String pkId);
}
